Bug#953198: ruby-ronn: Upstream version 0.9.0 available, fixing #928627

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#953198: ruby-ronn: Upstream version 0.9.0 available, fixing #928627

наб
Package: ruby-ronn
Version: 0.8.0-3
Severity: normal
Tags: patch

Dear Maintainer,

There's a new version of ronn-ng available (0.9.0), which fixes #928627.

I tagged this bugreport patch, because during the course of my testing,
and in hopes of simplifying the update on your part,
I have updated the package, as available on Salsa, to that version --
https://github.com/nabijaczleweli/ronn.deb.

In particular, I am attaching the two patches after the import --
a rebase of the existing patches, and specifying the move to kramdown.

If there's a better channel for this or a more convenient way for you to
receive the patches, I'll of course be more than happy to utilise them.

Best regards,
nabijaczleweli

-- System Information:
Debian Release: bullseye/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 5.4.0-4-686-pae (SMP w/2 CPU cores)
Kernel taint flags: TAINT_WARN
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8), LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages ruby-ronn depends on:
ii  groff           1.22.4-4
ii  ruby            1:2.5.7.1
ii  ruby-mustache   1.0.2-1
ii  ruby-nokogiri   1.10.7+dfsg1-2+b1
ii  ruby-rdiscount  2.1.8-1+b6

ruby-ronn recommends no packages.

ruby-ronn suggests no packages.

-- no debconf information

0001-Rebase-patches-dropping-ones-marked-already-upstream.patch (17K) Download Attachment
0002-Spec-move-to-kramdown.patch (2K) Download Attachment
signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#953198: ronn 0.9.0 uploaded to experimental

Cédric Boutillier-6
Hi!

Thank you for your work. I am uploading right now your version with some
additional commits to experimental, as some reverse build-dependencies
(in particular shapelib) are failing to build with this new version.

Looking forward to your next contribution to the Ruby team

Best wishes,

Cédric


signature.asc (499 bytes) Download Attachment